DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# StablePixelHeapIsEmpty

Query heap

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_StablePixelHeapIsEmpty ( heap, result )

## FUNCTION

Checks to see if there are any items on the heap. See `StablePixelHeapNew` for information on the heap data structure.

## ARGUMENTS

Data type | Name | Description
`dip_StablePixelHeap` | `heap` | The heap structure
`dip_Boolean *` | `result` | Set to true if there are no items in the heap

## SEE ALSO

`StablePixelHeapNew`, `PixelHeapNew`, `PixelQueueNew`, `StablePixelHeapFree`, `StablePixelHeapPush`, `StablePixelHeapPop`

DIPlib on-line documentation | Function reference | Global function index